Summary: A graphics library for fast PNG (not GIF) image creation
Name: gd
Version: 1.8.3
Release: 1
Group: System Environment/Libraries
Copyright: BSD-style
Url: http://www.boutell.com/gd/
Packager: Hao Li <hli@wag.caltech.edu>
Source: ftp://ftp.boutell.com/pub/boutell/gd/gd-%{version}.tar.gz
BuildRoot: /var/tmp/%{name}-root

%description
gd is a graphics library. It allows your code to quickly draw images
complete with lines, arcs, text, multiple colors, cut and paste from
other images, and flood fills, and write out the result as a .PNG file.
This is particularly useful in World Wide Web applications, where .PNG
is one of the formats accepted for inline images by most browsers. 


%package devel
Requires: gd = %{iversion}
Summary: The development libraries and header files for gd.
Group: Development/Libraries

%description devel
These are the development libraries and header files for gd, 
the PNG (not GIf) graphics library.


%prep
%setup -q


%build
make


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/{bin,include,lib}
make install \
	INSTALL_BIN=$RPM_BUILD_ROOT/usr/bin \
	INSTALL_INCLUDE=$RPM_BUILD_ROOT/usr/include \
	INSTALL_LIB=$RPM_BUILD_ROOT/usr/lib
strip $RPM_BUILD_ROOT/usr/bin/* ||:


%files
%defattr(-,root,root)
%doc readme.txt index.html
/usr/bin/*
/usr/include/*
/usr/lib/*


%clean
rm -rf $RPM_BUILD_ROOT

